//--------------------------------------------------------------
// File     : main.c
// Datum    : 29.09.2013
// Version  : 1.1
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der OneWire-LoLevel-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_onewire.h"
#include "stm32_ub_led.h"



int main(void)
{
  ErrorStatus check;
  char rom_code[20];

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der LEDs
  UB_Led_Init();

  // init vom OneWire-Bus
  UB_OneWire_Init();

  // test ob ein OneWire-Slave angeschlossen ist
  check=UB_OneWire_ResetSequenz();

  if(check==SUCCESS) {
    UB_Led_On(LED_GREEN);
    // auslesen vom 8Byte RomCode
    // es darf nur EIN Slave angeschlossen sein !
    UB_OneWire_ReadRomCode();
    // RomCode in String wandeln
    // (String kann per Debugger angezeigt werden)
    UB_OneWire_RomCode2Str(rom_code);
  }
  else {
    UB_Led_On(LED_RED);
  }


  while(1)
  {

  }
}
